.\" Copyright (c) 1980, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)time.1	8.1 (Berkeley) 6/6/93
.\"
.Dd June 6, 1993
.Dt TIME 1
.Os BSD 4
.Sh NAME
.Nm time
.Nd time command execution
.Sh SYNOPSIS
.Nm
.Op Fl l
.Ar command
.Sh DESCRIPTION
The
.Nm
utility
executes and
times
.Ar command
by initiating a timer and passing the
.Ar command
to the
shell.
After the
.Ar command
finishes,
.Nm
writes to the standard error stream,
(in seconds): 
the total time elapsed,
time consumed by system overhead,
and the time used to execute the
.Ar command
process.
.Pp
Available options:
.Bl -tag -width Ds
.It Fl l
The contents of the
.Em rusage
structure are printed as well.
.El
.Pp
The
.Xr csh 1
has its own and syntactically different builtin version of
.Nm time .
The command described here
is available as
.Pa /usr/bin/time
to
.Xr csh
users.
.Sh BUGS
The granularity of seconds on micro processors is crude and
can result in times being reported for CPU usage which are too large by
a second.
.Sh SEE ALSO
.Xr csh 1 ,
.Xr getrusage 2 ,
.Xr wait 2
.Sh HISTORY
A
.Nm
command appeared in
.At v6 .
